package com.itheima.file.pojo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName(value="\"wukuang\".\"org\"")
public class Org {

    @Excel(name = "id", width = 20)
    @TableField(value = "ASG_ID")
    private int asgId;
    @Excel(name = "根节点ID", width = 20)
    @TableField(value = "ASG_OBJ_ID")
    private Long asgObjId;
    @TableField(value = "ASG_LEVEL")
    private int asgLevel;
    @Excel(name = "层级码", width = 20)
    @TableField(value = "ASG_PATH_CODE")
    private String asgPathcode;
    @Excel(name = "组织名称链", width = 20)
    @TableField(value = "ASG_PATH_NAME")
    private String asgPathname;
    @Excel(name = "组织编码链", width = 20)
    @TableField(value = "ASG_PATHNAME_CODE")
    private String asgPathnameCode;
    @Excel(name = "组织编码", width = 20)
    @TableField(value = "ASG_ORGAN_CODE")
    private Long asgOrgancode;
    @Excel(name = "组织名称", width = 20)
    @TableField(value = "ASG_ORGAN_NAME")
    private String asgOrganname;
    @Excel(name = "是否分管[0不是1是]", width = 20)
    @TableField(value = "ASG_LEADFG")
    private int asgLeadfg;
    @Excel(name = "组织名称", width = 20)
    @TableField(value = "ASG_DATE")
    private Long asgDate;
    @Excel(name = "是否领导班子[0不是1是]", width = 20)
    @TableField(value = "ASG_LEAD")
    private int asgLead;
    @TableField(value = "ASG_TYPE")
    private String asgType;
    @Excel(name = "组织名称链", width = 20)
    @TableField(value = "ASG_PATHNAME_ALL")
    private String asgPathnameAll;
    @Excel(name = "同步时间", width = 20)
    @TableField(value = "ASG_CRTDATE")
    private String asgCrtdate;
    @Excel(name = "组织简称", width = 20)
    @TableField(value = "ASG_ORGANNAME_SHORT")
    private String asgOrgannameShort;
    @TableField(value = "ASG_ZZZLXBM")
    private String asgZzzlxbm;
    @Excel(name = "负责人", width = 20)
    @TableField(value = "ASG_QYFZR")
    private String asgQyfzr;
    @Excel(name = "经营状态", width = 20)
    @TableField(value = "ASG_ZJYZT")
    private String asgZjyzt;
    @TableField(value = "ASG_PRIOX")
    private String asgPriox;
}
