package com.itheima.file.pojo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName(value="\"wukuang\".\"person\"")
public class Person {
    @Excel(name = "id", width = 20)
    @TableField(value = "ASO_ID")
    private Long asoId;
    @Excel(name = "asoObjId", width = 20)
    @TableField(value = "asoObjId")
    private Long asoObjId;
    @Excel(name = "asoLevel", width = 20)
    @TableField(value = "ASO_LEVEL")
    private String asoLevel;
    @Excel(name = "asoPathcode", width = 20)
    @TableField(value = "ASO_PATHCODE")
    private String asoPathcode;
    @Excel(name = "asoPathname", width = 20)
    @TableField(value = "ASO_PATHNAME")
    private String asoPathname;
    @Excel(name = "asoOrgancode", width = 20)
    @TableField(value = "ASO_ORGANCODE")
    private String asoOrgancode;
    @Excel(name = "asoPathnameCode", width = 20)
    @TableField(value = "ASO_PATHNAME_CODE")
    private String asoPathnameCode;
    @Excel(name = "asoOrganname", width = 20)
    @TableField(value = "ASO_ORGANNAME")
    private String asoOrganname;
    @Excel(name = "asoPostcode", width = 20)
    @TableField(value = "ASO_POSTCODE")
    private String asoPostcode;
    @Excel(name = "asoPostname", width = 20)
    @TableField(value = "ASO_POSTNAME")
    private String asoPostname;
    @Excel(name = "asoUsercode", width = 20)
    @TableField(value = "ASO_USERCODE")
    private String asoUsercode;
    @Excel(name = "asoUsername", width = 20)
    @TableField(value = "ASO_USERNAME")
    private String asoUsername;
    @Excel(name = "asoLead", width = 20)
    @TableField(value = "ASO_LEAD")
    private String asoLead;
    @TableField(value = "ASO_LEADCAP")
    @Excel(name = "asoLeadcap", width = 20)
    private String asoLeadcap;
    @Excel(name = "asoLeadfg", width = 20)
    @TableField(value = "ASO_LEADFG")
    private String asoLeadfg;
    @Excel(name = "同步日期", width = 20)
    @TableField(value = "ASO_DATE")
    private String asoDate;
    @Excel(name = "组织全名", width = 20)
    @TableField(value = "ASO_PATHNAME_ALL")
    private String asoPathnameAll;
    @Excel(name = "身份证号", width = 20)
    @TableField(value = "ASO_IDENTITY")
    private String asoIdentity;
    @Excel(name = "asoCrtdate", width = 20)
    @TableField(value = "ASO_CRTDATE")
    private String asoCrtdate;
    @Excel(name = "员工组", width = 20)
    @TableField(value = "ASO_PGTXT")
    private String asoPgtxt;
    @Excel(name = "员工子组", width = 20)
    @TableField(value = "ASO_PKTXT")
    private String asoPktxt;
    @Excel(name = "照片地址", width = 20)
    @TableField(value = "ASO_IMAGE")
    private String asoImage;
    @Excel(name = "asoRelat", width = 20)
    @TableField(value = "ASO_RELAT")
    private String asoRelat;
    @Excel(name = "人员所在组织排序号", width = 20)
    @TableField(value = "ASO_PRIOX")
    private String asoPriox;

    @Excel(name = "性别标识", width = 20)
    @TableField(value = "ASO_GESCH")
    private int asoGesch;
    @Excel(name = "性别文本", width = 20)
    @TableField(value = "ASO_GESCHNAME")
    private String asoGeschname;
    @Excel(name = "出生日期", width = 20)
    @TableField(value = "ASO_GBDAT")
    private String asoGbdat;

    @Excel(name = "手机号码", width = 20)
    @TableField(value = "ASO_PHONE")
    private String asoPhone;
    @Excel(name = "ASO_PERSG", width = 20)
    @TableField(value = "ASO_PERSG")
    private String asoPersg;
    @Excel(name = "ASO_PERSK", width = 20)
    @TableField(value = "ASO_PERSK")
    private String asoPersk;
    @Excel(name = "asoUsaccno", width = 20)
    @TableField(value = "ASO_USACCNO")
    private String asoUsaccno;
    @Excel(name = "asoRacky", width = 20)
    @TableField(value = "ASO_RACKY")
    private String asoRacky;
    @Excel(name = "asoRackyx", width = 20)
    @TableField(value = "ASO_RACKYX")
    private String asoRackyx;

    @Excel(name = "asoZhrjg", width = 20)
    @TableField(value = "ASO_ZHRJG")
    private String asoZhrjg;
    @Excel(name = "asoStrjob", width = 20)
    @TableField(value = "ASO_STRJOB")
    private String asoStrjob;
    @Excel(name = "asoStrwk", width = 20)
    @TableField(value = "ASO_STRWK")
    private String asoStrwk;
    @Excel(name = "asoPcode", width = 20)
    @TableField(value = "ASO_PCODE")
    private String asoPcode;
    @Excel(name = "asoPtext", width = 20)
    @TableField(value = "ASO_PTEXT")
    private String asoPtext;

}
